#ifndef __PARTICLES
#define __PARTICLES

typedef struct{
	int sprite;
	int veloRotation;
	int screenTexture;
	int grow;
	int multi;
	int notInTunnel;
	float brightness;
	float r,g,b,a;
	float xSize,ySize;
	float maxSpread,maxVelo;
	float maxLife;
	float gravity,screenGravity;
}tParticlesDef;


void ParticlesCreate(float quantity,tVector3 pos,tVector3 velo,tParticlesDef *def);
void ParticlesDraw();
void ParticlesProcess();
void ParticlesClearScreen();
void ParticlesClear();
void ParticlesInitDef(tParticlesDef *def);

#endif